# -*- coding: utf-8 -*-
#
# This application is released under the GNU General Public License 
# v3 (or, at your option, any later version). You can find the full 
# text of the license under http://www.gnu.org/licenses/gpl.txt. 
# By using, editing and/or distributing this software you agree to 
# the terms and conditions of this license.
#
# v2.7~mickyz

import gtk, tools

def __msgBox(parent, type, buttons, header, text):
    """ Show a generic message box """
    dlg = gtk.MessageDialog(parent, gtk.DIALOG_MODAL, type, buttons, header)
    dlg.set_title(tools.consts.appName)

    if text is None: dlg.set_markup(header)
    else:            dlg.format_secondary_markup(text)

    response = dlg.run()
    dlg.destroy()
    return response

def infoMsgBox(parent, header, text=None):
    __msgBox(parent, gtk.MESSAGE_INFO, gtk.BUTTONS_OK, header, text)
def errorMsgBox(parent, header, text=None):
    __msgBox(parent, gtk.MESSAGE_ERROR, gtk.BUTTONS_OK, header, text)
def questionMsgBox(parent, header, text=None):
    return __msgBox(parent, gtk.MESSAGE_QUESTION, gtk.BUTTONS_YES_NO, header, text)
