# -*- coding: utf-8 -*-
#
# This application is released under the GNU General Public License 
# v3 (or, at your option, any later version). You can find the full 
# text of the license under http://www.gnu.org/licenses/gpl.txt
# By using, editing and/or distributing this software you agree to 
# the terms and conditions of this license.
#
# v3.0~mickyz

import gtk
from tools import consts

def show(parent):
    """ Show an about dialog box """
    dlg = gtk.AboutDialog()
    dlg.set_transient_for(parent)
    dlg.set_name(consts.appName)
    dlg.set_comments('Version: %s' % consts.appVersion)
    #dlg.set_website(consts.appWebsite)
    dlg.set_logo(consts.appIcon96)
    dlg.set_authors([
        'Decibel² developer:',
        '    ThE MiCKYz (^_^)',
        '    http://launchpad.net/~mickyz',
        '',
        'Credits:',
        '    François Ingelrest (DAP)',
        '    http://decibel.silent-blade.org',
        ])
        #'    JordiHP (Gloobus)',
        #'    http://www.gloobus.net',
    dlg.set_license(open(consts.fileLicense).read())
    dlg.set_wrap_license(True)
    dlg.run()
    dlg.destroy()
